<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" th:lang="${#locale.language}">

<head>
    <meta charset="UTF-8">
    <title th:text="#{title.allTasks}">All Tasks</title>
    <link rel="icon" href="/favicon.ico" type="image/x-icon" />
</head>

<body>

<table border="0" style="width:500px">
    <tbody>
    <tr>
        <td>
            <form th:action="@{/new}">
                <button th:text="#{button.newTask}">NEW TASK</button>
            </form>
        </td>
    </tr>
    <tr>
        <td>
            <form th:action="@{/}">
                <button th:text="#{button.showAll}">SHOW ALL</button>
            </form>
        </td>

        <td>
            <form th:action="@{/}" method="get">
                <label for="status-select" th:text="#{chooseStatus}">Choose a status:</label>
                <select name="status" id="status-select" onchange="this.form.submit()">
                    <option value="" th:text="#{filter}">Show All</option>
                    <option value="PLANNED" th:selected="${status == 'PLANNED'}" th:text="#{planned}">PLANNED</option>
                    <option value="WORK_IN_PROGRESS" th:selected="${status == 'WORK_IN_PROGRESS'}" th:text="#{workInProgress}">WORK IN PROGRESS</option>
                    <option value="POSTPONED" th:selected="${status == 'POSTPONED'}" th:text="#{postponed}">POSTPONED</option>
                    <option value="NOTIFIED" th:selected="${status == 'NOTIFIED'}" th:text="#{notified}">NOTIFIED</option>
                    <option value="SIGNED" th:selected="${status == 'SIGNED'}" th:text="#{signed}">SIGNED</option>
                    <option value="CANCELLED" th:selected="${status == 'CANCELLED'}" th:text="#{cancelled}">CANCELLED</option>
                    <option value="DONE" th:selected="${status == 'DONE'}" th:text="#{done}">DONE</option>
                </select>
            </form>
        </td>

    </tr>
    <tr>
        <td>
            <form th:action="@{/del/all}">
                <button>
                    <strong><span th:text="#{button.clearAll}" style="color:#ff0000">CLEAR ALL</span></strong>
                </button>
            </form>
        </td>
    </tr>
    </tbody>
</table>


<div th:switch="${tasks}">
    <h2 th:case="null" th:text="#{message.noTasksFound}">No tasks found!</h2>
    <div th:case="*">
        <p>
        <h2 th:text="#{title.tasks}">TASKS:</h2>
        </p>
        <table align="left" border="0" cellpadding="3" cellspacing="3" style="width:800px">
            <thead align="left">
            <tr>
                <th th:text="#{column.id}">ID</th>
                <th th:text="#{column.name}">NAME</th>
                <th th:text="#{column.createDate}">CREATE DATE</th>
                <th th:text="#{column.status}">STATUS</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="task : ${tasks}">
                <td th:text="${task.id}"></td>
                <td th:text="${task.taskName}"></td>
                <td th:text="${task.createDate}"></td>

                <td th:text="${task.status}">
    <span th:switch="${task.status}">
        <span th:case="'PLANNED'" th:text="#{planned}" style="color:#d35400">PLANNED</span>
        <span th:case="'WORK_IN_PROGRESS'" th:text="#{workInProgress}" style="color:#d35400">WORK IN PROGRESS</span>
        <span th:case="'POSTPONED'" th:text="#{postponed}" style="color:#d35400">POSTPONED</span>
        <span th:case="'NOTIFIED'" th:text="#{notified}" style="color:#d35400">NOTIFIED</span>
        <span th:case="'SIGNED'" th:text="#{signed}" style="color:#d35400">SIGNED</span>
        <span th:case="'CANCELLED'" th:text="#{cancelled}" style="color:#d35400">CANCELLED</span>
        <span th:case="'DONE'" th:text="#{done}" style="color:#27ae60">DONE</span>
    </span>


                </td>


                <td>
                    <form th:action="@{/{id}(id=${task.id})}">
                        <button>
                            <img th:src="@{/img/icon-more.png}" alt="more"/>
                        </button>
                    </form>
                </td>
                <td>
                    <form th:action="@{/edit/{id}(id=${task.id})}">
                        <button>
                            <img th:src="@{/img/icon-edit.png}" alt="edit"/>
                        </button>
                    </form>
                </td>
                <td>
                    <form th:action="@{/del/{id}(id=${task.id})}">
                        <button>
                            <img th:src="@{/img/icon-delete.png}" alt="delete"/>
                        </button>
                    </form>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>

<div>
    <a th:href="@{'?locale=en'}">EN</a>
    <a th:href="@{'?locale=uk'}">UA</a>
</div>
</body>
</html>
